[pacman-dev] [PATCH] makepkg: redirect downloader output to STDERR
Xyne
xyne at archlinux.ca
Tue Sep 17 23:01:23 EDT 2013
This allows scripts to safely capture the output of "makepkg -g".
---
scripts/makepkg.sh.in | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index d0951df..b0086a3 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -372,7 +372,7 @@ download_file() {
fi
local ret=0
- eval "$dlcmd || ret=\$?"
+ eval "$dlcmd >&2 || ret=\$?"
if (( ret )); then
[[ ! -s $dlfile ]] && rm -f -- "$dlfile"
error "$(gettext "Failure while downloading %s")" "$filename"
--
1.8.4
More information about the pacman-dev
mailing list